%global major 1
%define libname %mklibname pipeline %major
%define devname %mklibname -d pipeline
%global gnulib_ver 20140202

Summary: A pipeline manipulation library
Name: libpipeline
Version: 1.4.1
Release: %mkrel 2
License: GPLv3+
Group: Development/C
URL: http://libpipeline.nongnu.org/
Source: http://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: check-devel

# FPC exception for gnulib - copylib - https://fedorahosted.org/fpc/ticket/174
Provides: bundled(gnulib) = %{gnulib_ver}

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %libname
Summary: Pipeline manipulation library
Group: Development/C

%description -n %libname
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %devname
Summary: Header files and libraries for pipeline manipulation library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: pkgconfig
Provides: pipeline-devel

%description -n %devname
libpipeline-devel contains the header files and libraries needed
to develop programs that use libpipeline library.

%prep
%setup -q

%build
%configure2_5x
%make

%check
make check

%install
%make_install

find %{buildroot} -name '*.la' -delete


%files -n %libname
%license COPYING
%doc README ChangeLog NEWS
%{_libdir}/libpipeline.so.%{major}
%{_libdir}/libpipeline.so.%{major}.*

%files -n %devname
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/*.h
%{_mandir}/man3/*


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.4.1-2.mga6
+ Revision: 961190
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 tv <tv> 1.4.1-1.mga6
+ Revision: 897016
- imported package libpipeline


* Sat Oct 31 2015 Thierry Vignaud <tv@mageia.org> 1.4.1-1.mga6
- import from FC
